For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get NodeJS build logs

Retrieve logs from a specific Node.js build process.

Get NodeJS build logs

get

Retrieve logs from a specific Node.js build process.

To stream live output while a build is running, poll this endpoint repeatedly while the build state is running, passing the previously returned lines count as from_line to fetch only new output since the last call. Log content may contain ANSI escape sequences (color codes).

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
usernamestringRequiredExample: u123456789
domainstringRequired

Domain name

Example: mydomain.tld
uuidstring · uuidRequired

Build UUID

Example: 123e4567-e89b-12d3-a456-426614174000
Query parameters
from_lineinteger · nullableOptional

Line from which to start retrieving logs

Default: 0Example: 10
Responses
200

Success response

application/json
logsstring · nullableRequired

Logs from the build process, may contain ANSI escape sequences (for colors, etc.)

Example: added 10 packages, and audited 11 packages in 8s 3 packages are looking for funding run `npm fund` for details
linesintegerRequired

Number of log lines returned

Example: 3
get/api/hosting/v1/accounts/{username}/websites/{domain}/nodejs/builds/{uuid}/logs
GET /api/hosting/v1/accounts/{username}/websites/{domain}/nodejs/builds/{uuid}/logs HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "logs": "added 10 packages, and audited 11 packages in 8s\n\n3 packages are looking for funding\n  run `npm fund` for details",
  "lines": 3
}

Last updated

Was this helpful?